Agora Java API Reference for Android

Static Public Attributes | List of all members
io.agora.rtc2.IRtcEngineEventHandler.VideoProfile Class Reference

## Static Public Attributes
static final int | VIDEO_PROFILE_120P = Constants.VIDEO_PROFILE_120P
static final int | VIDEO_PROFILE_120P_3 = Constants.VIDEO_PROFILE_120P_3
static final int | VIDEO_PROFILE_180P = Constants.VIDEO_PROFILE_180P
static final int | VIDEO_PROFILE_180P_3 = Constants.VIDEO_PROFILE_180P_3
static final int | VIDEO_PROFILE_180P_4 = Constants.VIDEO_PROFILE_180P_4
static final int | VIDEO_PROFILE_240P = Constants.VIDEO_PROFILE_240P
static final int | VIDEO_PROFILE_240P_3 = Constants.VIDEO_PROFILE_240P_3
static final int | VIDEO_PROFILE_240P_4 = Constants.VIDEO_PROFILE_240P_4
static final int | VIDEO_PROFILE_360P = Constants.VIDEO_PROFILE_360P
static final int | VIDEO_PROFILE_360P_3 = Constants.VIDEO_PROFILE_360P_3
static final int | VIDEO_PROFILE_360P_4 = Constants.VIDEO_PROFILE_360P_4
static final int | VIDEO_PROFILE_360P_6 = Constants.VIDEO_PROFILE_360P_6
static final int | VIDEO_PROFILE_360P_7 = Constants.VIDEO_PROFILE_360P_7
static final int | VIDEO_PROFILE_360P_8 = Constants.VIDEO_PROFILE_360P_8
static final int | VIDEO_PROFILE_480P = Constants.VIDEO_PROFILE_480P
static final int | VIDEO_PROFILE_480P_3 = Constants.VIDEO_PROFILE_480P_3
static final int | VIDEO_PROFILE_480P_4 = Constants.VIDEO_PROFILE_480P_4
static final int | VIDEO_PROFILE_480P_6 = Constants.VIDEO_PROFILE_480P_6
static final int | VIDEO_PROFILE_480P_8 = Constants.VIDEO_PROFILE_480P_8
static final int | VIDEO_PROFILE_480P_9 = Constants.VIDEO_PROFILE_480P_9
static final int | VIDEO_PROFILE_720P = Constants.VIDEO_PROFILE_720P
static final int | VIDEO_PROFILE_720P_3 = Constants.VIDEO_PROFILE_720P_3
static final int | VIDEO_PROFILE_720P_5 = Constants.VIDEO_PROFILE_720P_5
static final int | VIDEO_PROFILE_720P_6 = Constants.VIDEO_PROFILE_720P_6
static final int | VIDEO_PROFILE_1080P = Constants.VIDEO_PROFILE_1080P
static final int | VIDEO_PROFILE_1080P_3 = Constants.VIDEO_PROFILE_1080P_3
static final int | VIDEO_PROFILE_1080P_5 = Constants.VIDEO_PROFILE_1080P_5
static final int | VIDEO_PROFILE_1440P = Constants.VIDEO_PROFILE_1440P
static final int | VIDEO_PROFILE_1440P_2 = Constants.VIDEO_PROFILE_1440P_2
static final int | VIDEO_PROFILE_4K = Constants.VIDEO_PROFILE_4K
static final int | VIDEO_PROFILE_4K_3 = Constants.VIDEO_PROFILE_4K_3
static final int | VIDEO_PROFILE_DEFAULT = Constants.VIDEO_PROFILE_DEFAULT

## Detailed Description

Deprecated:
  Use the new Constants class with the same constants value

## Member Data Documentation

## ◆ VIDEO_PROFILE_120P

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_120P = Constants.VIDEO_PROFILE_120P
| static

160 x 120 @ 15 fps, 65 kbit/s

## ◆ VIDEO_PROFILE_120P_3

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_120P_3 = Constants.VIDEO_PROFILE_120P_3
| static

120 x 120 @ 15 fps, 50 kbit/s

## ◆ VIDEO_PROFILE_180P

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_180P = Constants.VIDEO_PROFILE_180P
| static

320 x 180 @ 15 fps, 140 kbit/s

## ◆ VIDEO_PROFILE_180P_3

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_180P_3 = Constants.VIDEO_PROFILE_180P_3
| static

180 x 180 @ 15 fps, 100 kbit/s

## ◆ VIDEO_PROFILE_180P_4

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_180P_4 = Constants.VIDEO_PROFILE_180P_4
| static

240 x 180 @ 15 fps, 120 kbit/s

## ◆ VIDEO_PROFILE_240P

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_240P = Constants.VIDEO_PROFILE_240P
| static

320 x 240 @ 15 fps, 200 kbit/s

## ◆ VIDEO_PROFILE_240P_3

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_240P_3 = Constants.VIDEO_PROFILE_240P_3
| static

240 x 240 @ 15 fps, 140 kbit/s

## ◆ VIDEO_PROFILE_240P_4

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_240P_4 = Constants.VIDEO_PROFILE_240P_4
| static

424 x 240 @ 15 fps, 220 kbit/s

## ◆ VIDEO_PROFILE_360P

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_360P = Constants.VIDEO_PROFILE_360P
| static

640 x 360 @ 15 fps, 400 kbit/s

## ◆ VIDEO_PROFILE_360P_3

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_360P_3 = Constants.VIDEO_PROFILE_360P_3
| static

360 x 360 @ 15 fps, 260 kbit/s

## ◆ VIDEO_PROFILE_360P_4

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_360P_4 = Constants.VIDEO_PROFILE_360P_4
| static

640 x 360 @ 30 fps, 600 kbit/s

## ◆ VIDEO_PROFILE_360P_6

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_360P_6 = Constants.VIDEO_PROFILE_360P_6
| static

360 x 360 @ 30 fps, 400 kbit/s

## ◆ VIDEO_PROFILE_360P_7

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_360P_7 = Constants.VIDEO_PROFILE_360P_7
| static

480 x 360 @ 15 fps, 320 kbit/s

## ◆ VIDEO_PROFILE_360P_8

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_360P_8 = Constants.VIDEO_PROFILE_360P_8
| static

480 x 360 @ 30 fps, 490 kbit/s

## ◆ VIDEO_PROFILE_480P

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_480P = Constants.VIDEO_PROFILE_480P
| static

640 x 480 @ 15 fps, 500 kbit/s

## ◆ VIDEO_PROFILE_480P_3

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_480P_3 = Constants.VIDEO_PROFILE_480P_3
| static

480 x 480 @ 15 fps, 400 kbit/s

## ◆ VIDEO_PROFILE_480P_4

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_480P_4 = Constants.VIDEO_PROFILE_480P_4
| static

640 x 480 @ 30 fps, 750 kbit/s

## ◆ VIDEO_PROFILE_480P_6

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_480P_6 = Constants.VIDEO_PROFILE_480P_6
| static

480 x 480 @ 30 fps, 600 kbit/s

## ◆ VIDEO_PROFILE_480P_8

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_480P_8 = Constants.VIDEO_PROFILE_480P_8
| static

848 x 480 @ 15 fps, 610 kbit/s

## ◆ VIDEO_PROFILE_480P_9

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_480P_9 = Constants.VIDEO_PROFILE_480P_9
| static

848 x 480 @ 30 fps, 930 kbit/s

## ◆ VIDEO_PROFILE_720P

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_720P = Constants.VIDEO_PROFILE_720P
| static

1280 x 720 @ 15 fps, 1130 kbit/s

## ◆ VIDEO_PROFILE_720P_3

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_720P_3 = Constants.VIDEO_PROFILE_720P_3
| static

1280 x 720 @ 30 fps, 1710 kbit/s

## ◆ VIDEO_PROFILE_720P_5

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_720P_5 = Constants.VIDEO_PROFILE_720P_5
| static

960 x 720 @ 15 fps, 910 kbit/s

## ◆ VIDEO_PROFILE_720P_6

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_720P_6 = Constants.VIDEO_PROFILE_720P_6
| static

960 x 720 @ 30 fps, 1380 kbit/s

## ◆ VIDEO_PROFILE_1080P

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_1080P = Constants.VIDEO_PROFILE_1080P
| static

1920 x 1080 @ 15 fps, 2080 kbit/s

## ◆ VIDEO_PROFILE_1080P_3

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_1080P_3 = Constants.VIDEO_PROFILE_1080P_3
| static

1920 x 1080 @ 30 fps, 3150 kbit/s

## ◆ VIDEO_PROFILE_1080P_5

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_1080P_5 = Constants.VIDEO_PROFILE_1080P_5
| static

1920 x 1080 @ 60 fps, 4780 kbit/s

## ◆ VIDEO_PROFILE_1440P

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_1440P = Constants.VIDEO_PROFILE_1440P
| static

2560 x 1440 @ 30 fps, 4850 kbit/s

## ◆ VIDEO_PROFILE_1440P_2

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_1440P_2 = Constants.VIDEO_PROFILE_1440P_2
| static

2560 x 1440 @ 60 fps, 7350 kbit/s

## ◆ VIDEO_PROFILE_4K

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_4K = Constants.VIDEO_PROFILE_4K
| static

3840 x 2160 @ 30 fps, 8910 kbit/s

## ◆ VIDEO_PROFILE_4K_3

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_4K_3 = Constants.VIDEO_PROFILE_4K_3
| static

3840 x 2160 @ 60 fps, 13500 kbit/s

## ◆ VIDEO_PROFILE_DEFAULT

final int io.agora.rtc2.IRtcEngineEventHandler.VideoProfile.VIDEO_PROFILE_DEFAULT = Constants.VIDEO_PROFILE_DEFAULT
| static

Default video profile: 640 x 360 @ 15 fps, 400 kbit/s